# Projetos de exemplo

<p class="description">Uma seleção de projetos de exemplo para começar.</p>

## Exemplos oficiais

Você pode encontrar alguns exemplos de projetos no repositório [GitHub](https://github.com/mui-org/material-ui) na pasta [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples):

- [Create React App](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app) ([versão TypeScript](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-typescript))
- [Gatsby](https://github.com/mui-org/material-ui/tree/next/examples/gatsby)
- [Tema Gatsby](https://github.com/mui-org/material-ui/tree/next/examples/gatsby-theme)
- [Next.js](https://github.com/mui-org/material-ui/tree/next/examples/nextjs) ([versão TypeScript](https://github.com/mui-org/material-ui/tree/next/examples/nextjs-with-typescript))
- [Preact](https://github.com/mui-org/material-ui/tree/next/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/next/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/next/examples/ssr)
- [Use styled-components como motor de estilo](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-styled-components)

Create React App é um projeto incrível para aprender React. Dê uma olhada nas [alternativas disponíveis](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) para ver qual projeto melhor atende às suas necessidades.

O código-fonte deste site de documentação também está incluído no repositório. Este é um projeto um pouco mais complexo. Confira a pasta [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) para instruções de compilação.

## Projetos de exemplo mais avançados

Se você quer começar com um exemplo mais completo e do mundo real, você pode dar uma olhada nos [temas premium & templates](https://material-ui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) ou:

### Grátis

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted):

  - Criado com o Create React App
  - Script customizado de Create React App para iniciar um novo projeto com somente um único comando CLI
  - Construído para Firebase incluindo autenticação usando a oficial Firebase Web Auth UI
  - Roteamento com React Router, incluindo manipulação de erros (404) e carregamento tardio
  - Todos os recursos PWA incluídos (SW, Notificações, prompt de instalação diferido e muito mais)
  - Desempenho otimizado e escalável (todos ~100 pontos em Lighthouse)

- [RMUIF](https://github.com/phoqe/rmuif):

  - Bootstrapped com Create React App, as mesmas ferramentas de trabalho de get-go
  - Construído sobre o Firebase com todos os seus produtos para a web incluído
  - Roteamento robusto com React Router, incluindo rotas protegidas e manipulação de erros
  - Suporte móvel extensivo com diálogos de tela cheia e react-swipeable-views para abas
  - Monitoramento de aplicativos entre plataformas com foco no relatório de erros com Sentry

- [Material Sense](https://github.com/alexanmtz/material-sense):

  - Gráfico usando recharts
  - React Router incluído com um exemplo de navegação
  - Um contêiner docker com um servidor Nginx para compilação de produção
  - Criado com o Create React App

- [React SaaS Template](https://github.com/dunky11/react-saas-template):

  - Criado com o Create React App
  - Apresentando uma página inicial, um blog, uma área para login/registro e um painel de administração
  - Totalmente roteado usando react-router
  - De forma tardia, carrega componentes para aumentar o desempenho
  - Componentes para estatísticas, texto com suporte a emoji, upload de imagens e muito mais...

### Pago

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):

  - Crie o seu aplicativo completo com esta ferramenta online
  - Escolha o seu framework e biblioteca (React & Material-UI!)
  - Escolha seu banco de dados (SQL, MongoDB ou Firestore)
  - Modele seu banco de dados e aplicativo com uma interface intuitiva
  - Gere sua aplicação, incluindo um scaffolded de backend completo
  - Pré-visualize seu aplicativo online, e baixe o código gerado
